function OnWarpEnter() 
	SetMarker("cs\\Warp_0070.wp" , 0 , 0) 
	Music_Change = false

--DAY4
	if ETAT_DAY == "D4" then 
		AnimationSetToStart("hdc1")
	end 

--DAY5
	if ETAT_DAY == "D5" then 
		if not W071_Zoom_ProphecyTaken then
			SetMarker("INVESTIGATE_DESK",4,0)
		end
		AnimationSetToStart("hdc1")
	end 
end

function OnAnimationFinished(objectName)
	if objectName == "hdc1" then
		SetMarker("hdc1",-1,0)
		DrawOpen_0071_D3 = true
		AnimationSetToEnd("hdc1",false)
		SetMarker("INVESTIGATE_DESK",4,0)
		AnimationSetToStart("hkc1")
		AnimationSetToStart("hec1",false)
	end
	
	if objectName == "hfc1" then
		SetMarker("hfc1",2,0)
		DrawText("Ma2286","Ma2286.ogg",0) -- Sacré Philibert !
		AmpOpen_0071_D3 = true
	end
end

function OnDialogFinished(dialogName)
end

function AskSeparation()
end

function OnAnswered(textId)
end

function OnWarpLeave()
	if Music_Change then
		-- Musique
		Music_Change = false
		PlayMusic("Sounds/Musiques/M_Day1.ogg")
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0070.wp" then 
		ChangeWarp(objectName)
	end

	--DAY5 
	if ETAT_DAY == "D5" then
		if objectName == "3D\\INVESTIGATE_DESK" then
			if W071_Zoom_PentagramTaken and not W071_Zoom_ProphecyTaken then
				ShowToolBox("W71_11")
			elseif W071_Zoom_BOOK_OPENED and not W071_Zoom_PentagramTaken  then
				ShowToolBox("W71_10")
			elseif not W071_Zoom_BOOK_OPENED then
				ShowToolBox("W71_09")
			end
		end
	end 
end

function OnShowedDocumentButtonValidated(page, buttonName)	
PrintDebugMessage("OnShowedDocumentButtonValidated("..page..", "..buttonName..")\n")

	if page == "ChoixCostume_zoomed_0"  then
		if buttonName == "button0" then
			DRESS_MONK = false		
			DRESS_CESAR = false
			DRESS_MADELEINE = true
			HideDocument()
		elseif buttonName == "button1" then
			DRESS_MONK = false		
			DRESS_CESAR = true
			DRESS_MADELEINE = false
			HideDocument()
		end
		if not BeenInW71D3 then
			BeenInW71D3 = true
			DrawText("Ma2291","Ma2291.ogg",0)
		end		
	else
		ShowDocument("ChoixCostume")
	end	
end
